---
title: "Get merchant account"
url: "https://docs.signnow.com/docs/request-payments/operations/get-organizations-org-id-merchantaccount-merchant-account-id"
type: "endpoint"
section: "request-payments"
slug: "request-payments/operations/get-organizations-org-id-merchantaccount-merchant-account-id"
method: "GET"
path: "/organizations/{org_id}/merchantaccount/{merchant_account_id}"
operation_id: "get-organizations-org-id-merchantaccount-merchant-account-id"
authorization: "bearer"
---

# Get merchant account

`GET /organizations/{org_id}/merchantaccount/{merchant_account_id}`

This endpoint allows API users to retrieve details of all payment accounts within a specific organization. Use the payment account ID to retrieve details of a specific account.

For more information, see the [Request payments guide](/docs/request-payments-guide).

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the requested organization. |
| `merchant_account_id` | string | Yes | The account ID of merchant account(s) to get details for. |

## Responses

### 200

Returns details of the organization payment account(s) in case of successful response.

**Example** (`Successful response`)

```json
{
  "id": "5ef7e3853f4a4624a037d90d20513a195937d255",
  "currency": "USD",
  "secure_key": "sk_yyyy_0vkrljcpCb9qbdk8IMXNyyyy",
  "account_name": "My Stripe",
  "currency_name": "US Dollar",
  "merchant_type": "Stripe",
  "publishable_key": "pk_xxxx_y16i7GDlOVChs1OowXjAiYYY",
  "display_ach_form": false,
  "merchant_account_id": "Stripe",
  "display_credit_card_form": true
}
```

### 400

* Wrong, expired, or missing token.
* The organization doesn't exist.
* The user isn't an admin of the organization.
* The merchant account doesn't exist in the organization.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Organization not found`)

```json
{
  "errors": [
    {
      "code": 29005001,
      "message": "Organization not found"
    }
  ]
}
```

**Example** (`Not an organization admin`)

```json
{
  "errors": [
    {
      "code": 7,
      "message": "Not allowed"
    }
  ]
}
```

**Example** (`Merchant account not found`)

```json
{
  "errors": [
    {
      "code": 46,
      "message": "Merchant account not found"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/organizations/{org_id}/merchantaccount/{merchant_account_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/request-payments/operations/get-organizations-org-id-merchantaccount-merchant-account-id*
